DROP TABLE IF EXISTS tbl_entity;
DROP TABLE IF EXISTS tbl_com_content_set;
DROP TABLE IF EXISTS tbl_com_poi;
DROP TABLE IF EXISTS tbl_com_content;

CREATE TABLE tbl_entity ( id PRIMARY KEY, name VARCHAR, created_at DATETIME DEFAULT CURRENT_TIMESTAMP );
CREATE TABLE tbl_com_content_set ( id PRIMARY KEY, entity_id INTEGER, content_set_id TEXT, name VARCHAR );

CREATE TABLE tbl_com_poi ( id PRIMARY KEY, entity_id INTEGER, poi_id TEXT );
CREATE TABLE tbl_com_content ( id PRIMARY KEY, entity_id INTEGER, content_id TEXT, text TEXT );


INSERT INTO tbl_entity (id) VALUES (1);
INSERT INTO tbl_entity (id) VALUES (2);
INSERT INTO tbl_entity (id) VALUES (3);
INSERT INTO tbl_entity (id) VALUES (4);
INSERT INTO tbl_entity (id) VALUES (5);
INSERT INTO tbl_entity (id) VALUES (6);


INSERT INTO tbl_com_content_set (entity_id, content_set_id, name) VALUES (1, 1, 'cs_001');
INSERT INTO tbl_com_content_set (entity_id, content_set_id, name) VALUES (2, 1, 'cs_001');
INSERT INTO tbl_com_content_set (entity_id, content_set_id, name) VALUES (3, 1, 'cs_001');
INSERT INTO tbl_com_content_set (entity_id, content_set_id, name) VALUES (4, 2, 'cs_002');
INSERT INTO tbl_com_content_set (entity_id, content_set_id, name) VALUES (5, 2, 'cs_002');
INSERT INTO tbl_com_content_set (entity_id, content_set_id, name) VALUES (6, 2, 'cs_002');


INSERT INTO tbl_com_poi (entity_id, poi_id) VALUES (1, 'poi_001');
INSERT INTO tbl_com_poi (entity_id, poi_id) VALUES (2, 'poi_002');
INSERT INTO tbl_com_content (entity_id, content_id) VALUES (3, 'content_001');

INSERT INTO tbl_com_content (entity_id, content_id) VALUES (4, 'content_002');
INSERT INTO tbl_com_poi (entity_id, poi_id) VALUES (5, 'poi_003');
INSERT INTO tbl_com_poi (entity_id, poi_id) VALUES (6, 'poi_004');
INSERT INTO tbl_com_poi (poi_id) VALUES ('poi_005');
INSERT INTO tbl_com_poi (entity_id, poi_id) VALUES (1, 'poi_006');


-- SELECT ALL THE POI entities in content set 1 
SELECT 
    tbl_com_poi.entity_id,tbl_com_poi.poi_id,tbl_com_content_set.name 
FROM 
    tbl_com_poi, tbl_com_content_set
ON 
    tbl_com_poi.entity_id = tbl_com_content_set.entity_id 
WHERE 
    tbl_com_content_set.content_set_id = 1;
-- SELECT ALL THE content_set entities in content set 2