DROP TABLE IF EXISTS "tbl_component_content";
CREATE TABLE tbl_component_content( id INTEGER PRIMARY KEY, entity_id INTEGER, title STRING, content STRING, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
INSERT INTO "tbl_component_content" VALUES(1,110,'content 00A',NULL,'{}',0,'2013-10-09T10:09:59.071Z',0,'2013-10-09T10:09:59.071Z',0);
INSERT INTO "tbl_component_content" VALUES(2,111,'content 00B',NULL,'{}',0,'2013-10-09T10:09:59.072Z',0,'2013-10-09T10:09:59.072Z',0);
INSERT INTO "tbl_component_content" VALUES(3,112,'content 00C',NULL,'{}',0,'2013-10-09T10:09:59.084Z',0,'2013-10-09T10:09:59.084Z',0);
INSERT INTO "tbl_component_content" VALUES(4,113,'content 00D',NULL,'{}',0,'2013-10-09T10:09:59.084Z',0,'2013-10-09T10:09:59.084Z',0);
DROP TABLE IF EXISTS "tbl_component_content_set";
CREATE TABLE tbl_component_content_set( id INTEGER PRIMARY KEY, entity_id INTEGER, code STRING, type INTEGER, name STRING, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
INSERT INTO "tbl_component_content_set" VALUES(1,100,'CSA',NULL,'Content Set A','{}',0,'2013-10-09T10:09:58.988Z',0,'2013-10-09T10:09:58.988Z',0);
INSERT INTO "tbl_component_content_set" VALUES(2,101,'CSB',NULL,'Content Set B','{}',0,'2013-10-09T10:09:58.989Z',0,'2013-10-09T10:09:58.989Z',0);
DROP TABLE IF EXISTS "tbl_component_content_set_member";
CREATE TABLE tbl_component_content_set_member( id INTEGER PRIMARY KEY, entity_id INTEGER, content_set_id INTEGER, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
INSERT INTO "tbl_component_content_set_member" VALUES(1,102,100,'{}',0,'2013-10-09T10:09:59.043Z',0,'2013-10-09T10:09:59.043Z',0);
INSERT INTO "tbl_component_content_set_member" VALUES(2,103,100,'{}',0,'2013-10-09T10:09:59.051Z',0,'2013-10-09T10:09:59.051Z',0);
INSERT INTO "tbl_component_content_set_member" VALUES(3,105,100,'{}',0,'2013-10-09T10:09:59.080Z',0,'2013-10-09T10:09:59.080Z',0);
INSERT INTO "tbl_component_content_set_member" VALUES(4,106,101,'{}',0,'2013-10-09T10:09:59.082Z',0,'2013-10-09T10:09:59.082Z',0);
INSERT INTO "tbl_component_content_set_member" VALUES(5,111,101,'{}',0,'2013-10-09T10:09:59.091Z',0,'2013-10-09T10:09:59.091Z',0);
INSERT INTO "tbl_component_content_set_member" VALUES(6,107,101,'{}',0,'2013-10-09T10:09:59.095Z',0,'2013-10-09T10:09:59.095Z',0);
INSERT INTO "tbl_component_content_set_member" VALUES(7,108,101,'{}',0,'2013-10-09T10:09:59.096Z',0,'2013-10-09T10:09:59.096Z',0);
INSERT INTO "tbl_component_content_set_member" VALUES(8,109,101,'{}',0,'2013-10-09T10:09:59.096Z',0,'2013-10-09T10:09:59.096Z',0);
INSERT INTO "tbl_component_content_set_member" VALUES(9,113,100,'{}',0,'2013-10-09T10:09:59.107Z',0,'2013-10-09T10:09:59.107Z',0);
INSERT INTO "tbl_component_content_set_member" VALUES(10,110,101,'{}',0,'2013-10-09T10:09:59.112Z',0,'2013-10-09T10:09:59.112Z',0);
INSERT INTO "tbl_component_content_set_member" VALUES(11,112,100,'{}',0,'2013-10-09T10:09:59.167Z',0,'2013-10-09T10:09:59.167Z',0);
DROP TABLE IF EXISTS "tbl_component_def";
CREATE TABLE tbl_component_def( id INTEGER PRIMARY KEY, uri STRING UNIQUE, schema STRING, status INTEGER, type INTEGER, created_at DATETIME DEFAULT CURRENT_TIMESTAMP, created_by INTEGER, updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, updated_by INTEGER);
INSERT INTO "tbl_component_def" VALUES(1,'/component/content_set','{"id":"/component/content_set","properties":{"code":{"type":"string"},"name":{"type":"string"},"type":{"type":"integer"}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(2,'/component/content_set_member','{"id":"/component/content_set_member","properties":{"content_set_id":{"type":"integer"}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(3,'/component/status','{"id":"/component/status","properties":{"status":{"type":"integer"}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(4,'/component/poi','{"id":"/component/poi","properties":{"title":{"type":"string"},"text_short":{"type":"string"},"text":{"type":"string"}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(5,'/component/content','{"id":"/component/content","properties":{"title":{"type":"string"},"content":{"type":"string","format":"json"}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(6,'/component/geo_location','{"id":"/component/geo_location","description":"A geographical coordinate","properties":{"lat":{"type":"number","description":"latitude"},"lon":{"type":"number","description":"longitude"},"accuracy":{"type":"number"},"radius":{"type":"number"}}}',0,0,NULL,NULL,NULL,NULL);
DROP TABLE IF EXISTS "tbl_component_geo_location";
CREATE TABLE tbl_component_geo_location( id INTEGER PRIMARY KEY, entity_id INTEGER, lat, accuracy, radius, lon, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
INSERT INTO "tbl_component_geo_location" VALUES(1,102,51,NULL,NULL,-1,'{}',0,'2013-10-09T10:09:59.057Z',0,'2013-10-09T10:09:59.057Z',0);
INSERT INTO "tbl_component_geo_location" VALUES(2,104,51.2,NULL,NULL,-1.3,'{}',0,'2013-10-09T10:09:59.068Z',0,'2013-10-09T10:09:59.068Z',0);
INSERT INTO "tbl_component_geo_location" VALUES(3,106,50.8,NULL,NULL,-0.5,'{}',0,'2013-10-09T10:09:59.099Z',0,'2013-10-09T10:09:59.099Z',0);
INSERT INTO "tbl_component_geo_location" VALUES(4,111,49.2,NULL,NULL,2.1,'{}',0,'2013-10-09T10:09:59.115Z',0,'2013-10-09T10:09:59.115Z',0);
DROP TABLE IF EXISTS "tbl_component_poi";
CREATE TABLE tbl_component_poi( id INTEGER PRIMARY KEY, entity_id INTEGER, title STRING, text STRING, text_short STRING, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
INSERT INTO "tbl_component_poi" VALUES(1,102,'poi 001',NULL,NULL,'{}',0,'2013-10-09T10:09:59.031Z',0,'2013-10-09T10:09:59.031Z',0);
INSERT INTO "tbl_component_poi" VALUES(2,103,'poi 002',NULL,NULL,'{}',0,'2013-10-09T10:09:59.044Z',0,'2013-10-09T10:09:59.044Z',0);
INSERT INTO "tbl_component_poi" VALUES(3,104,'poi 003',NULL,NULL,'{}',0,'2013-10-09T10:09:59.045Z',0,'2013-10-09T10:09:59.045Z',0);
INSERT INTO "tbl_component_poi" VALUES(4,105,'poi 004',NULL,NULL,'{}',0,'2013-10-09T10:09:59.050Z',0,'2013-10-09T10:09:59.050Z',0);
INSERT INTO "tbl_component_poi" VALUES(5,106,'poi 005',NULL,NULL,'{}',0,'2013-10-09T10:09:59.054Z',0,'2013-10-09T10:09:59.054Z',0);
INSERT INTO "tbl_component_poi" VALUES(6,107,'poi 006',NULL,NULL,'{}',0,'2013-10-09T10:09:59.060Z',0,'2013-10-09T10:09:59.060Z',0);
INSERT INTO "tbl_component_poi" VALUES(7,108,'poi 007',NULL,NULL,'{}',0,'2013-10-09T10:09:59.060Z',0,'2013-10-09T10:09:59.060Z',0);
INSERT INTO "tbl_component_poi" VALUES(8,109,'poi 008',NULL,NULL,'{}',0,'2013-10-09T10:09:59.061Z',0,'2013-10-09T10:09:59.061Z',0);
DROP TABLE IF EXISTS "tbl_component_status";
CREATE TABLE tbl_component_status( id INTEGER PRIMARY KEY, entity_id INTEGER, status INTEGER, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
INSERT INTO "tbl_component_status" VALUES(1,102,1,'{}',0,'2013-10-09T10:09:59.049Z',0,'2013-10-09T10:09:59.049Z',0);
INSERT INTO "tbl_component_status" VALUES(2,104,0,'{}',0,'2013-10-09T10:09:59.055Z',0,'2013-10-09T10:09:59.055Z',0);
INSERT INTO "tbl_component_status" VALUES(3,105,0,'{}',0,'2013-10-09T10:09:59.062Z',0,'2013-10-09T10:09:59.062Z',0);
INSERT INTO "tbl_component_status" VALUES(4,106,1,'{}',0,'2013-10-09T10:09:59.066Z',0,'2013-10-09T10:09:59.066Z',0);
INSERT INTO "tbl_component_status" VALUES(5,107,1,'{}',0,'2013-10-09T10:09:59.074Z',0,'2013-10-09T10:09:59.074Z',0);
INSERT INTO "tbl_component_status" VALUES(6,108,2,'{}',0,'2013-10-09T10:09:59.078Z',0,'2013-10-09T10:09:59.078Z',0);
INSERT INTO "tbl_component_status" VALUES(7,109,2,'{}',0,'2013-10-09T10:09:59.080Z',0,'2013-10-09T10:09:59.080Z',0);
INSERT INTO "tbl_component_status" VALUES(8,110,0,'{}',0,'2013-10-09T10:09:59.085Z',0,'2013-10-09T10:09:59.085Z',0);
INSERT INTO "tbl_component_status" VALUES(9,112,0,'{}',0,'2013-10-09T10:09:59.102Z',0,'2013-10-09T10:09:59.102Z',0);
DROP TABLE IF EXISTS "tbl_entity";
CREATE TABLE tbl_entity( id INTEGER PRIMARY KEY, status INTEGER, component_bf STRING, created_at DATETIME DEFAULT CURRENT_TIMESTAMP, created_by INTEGER, updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, updated_by INTEGER);
INSERT INTO "tbl_entity" VALUES(100,0,200000000,'2013-10-09T10:09:58.971Z',0,'2013-10-09T10:09:58.971Z',0);
INSERT INTO "tbl_entity" VALUES(101,0,200000000,'2013-10-09T10:09:58.972Z',0,'2013-10-09T10:09:58.972Z',0);
INSERT INTO "tbl_entity" VALUES(102,0,'0000005c00000000','2013-10-09T10:09:58.974Z',0,'2013-10-09T10:09:58.974Z',0);
INSERT INTO "tbl_entity" VALUES(103,0,1400000000,'2013-10-09T10:09:58.978Z',0,'2013-10-09T10:09:58.978Z',0);
INSERT INTO "tbl_entity" VALUES(104,0,5800000000,'2013-10-09T10:09:58.979Z',0,'2013-10-09T10:09:58.979Z',0);
INSERT INTO "tbl_entity" VALUES(105,0,'0000001c00000000','2013-10-09T10:09:58.979Z',0,'2013-10-09T10:09:58.979Z',0);
INSERT INTO "tbl_entity" VALUES(106,0,'0000005c00000000','2013-10-09T10:09:58.980Z',0,'2013-10-09T10:09:58.980Z',0);
INSERT INTO "tbl_entity" VALUES(107,0,'0000001c00000000','2013-10-09T10:09:58.980Z',0,'2013-10-09T10:09:58.980Z',0);
INSERT INTO "tbl_entity" VALUES(108,0,'0000001c00000000','2013-10-09T10:09:58.981Z',0,'2013-10-09T10:09:58.981Z',0);
INSERT INTO "tbl_entity" VALUES(109,0,'0000001c00000000','2013-10-09T10:09:58.981Z',0,'2013-10-09T10:09:58.982Z',0);
INSERT INTO "tbl_entity" VALUES(110,0,'0000002c00000000','2013-10-09T10:09:58.984Z',0,'2013-10-09T10:09:58.984Z',0);
INSERT INTO "tbl_entity" VALUES(111,0,6400000000,'2013-10-09T10:09:58.984Z',0,'2013-10-09T10:09:58.984Z',0);
INSERT INTO "tbl_entity" VALUES(112,0,'0000002c00000000','2013-10-09T10:09:58.985Z',0,'2013-10-09T10:09:58.985Z',0);
INSERT INTO "tbl_entity" VALUES(113,0,2400000000,'2013-10-09T10:09:58.985Z',0,'2013-10-09T10:09:58.985Z',0);
