PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;
CREATE TABLE tbl_entity( id INTEGER PRIMARY KEY, status INTEGER, component_bf STRING, created_at DATETIME DEFAULT CURRENT_TIMESTAMP, created_by INTEGER, updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, updated_by INTEGER);
INSERT INTO "tbl_entity" VALUES(1,0,'0x0000001e00000000','2013-10-21T20:49:32.198Z',0,'2013-10-21T20:49:32.200Z',0);
CREATE TABLE tbl_component_def( id INTEGER PRIMARY KEY, uri STRING UNIQUE, schema STRING, status INTEGER, type INTEGER, created_at DATETIME DEFAULT CURRENT_TIMESTAMP, created_by INTEGER, updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, updated_by INTEGER);
INSERT INTO "tbl_component_def" VALUES(1,'/component/status','{"id":"/component/status","properties":{"status":{"type":"integer","enum":[0,1,2]}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(2,'/component/password','{"id":"/component/password","properties":{"password":{"type":"string"},"salt":{"type":"string"},"iterations":{"type":"integer"}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(3,'/component/email','{"id":"/component/email","properties":{"email":{"type":"string","format":"email"},"type":{"type":"string","description":"type of email address (home, work,etc)"},"verified_at":{"type":"string","format":"date-time"}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(4,'/component/human_name','{"id":"/component/human_name","properties":{"first_name":{"type":"string"},"last_name":{"type":"string"}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(5,'/component/content_set','{"id":"/component/content_set","description":"a content set","properties":{"uuid":{"type":"string","format":"uuid"},"code":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(6,'/component/content_set_member','{"id":"/component/content_set_member","properties":{"content_set_id":{"type":"integer","description":"refers to the content set entity"},"content_set_code":{"type":"string"}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(7,'/component/poi','{"id":"/component/poi","description":"a remote feed URL source","properties":{"title":{"type":"string"},"text_short":{"type":"string"},"text":{"type":"string"},"address":{"type":"string"},"postcode":{"type":"string"}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(8,'/component/feed','{"id":"/component/feed","description":"a remote feed URL source","properties":{"url":{"type":"string"},"description":{"type":"string"},"last_updated":{"type":"string","format":"date-time"}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(9,'/component/content','{"id":"/component/content","description":"a record containing arbitrary content type","properties":{"data":{"type":"string"},"path":{"type":"string","description":"relative path in the package"},"type":{"type":"string","enum":["text","template","launch_page"]}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(10,'/component/package','{"id":"/component/package","description":"a package to which this data is published","properties":{"package_id":{"type":"string"},"version":{"type":"string","description":"current published version of the package"},"type":{"type":"string","enum":["staging","live"]}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(11,'/component/image','{"id":"/component/image","description":"","properties":{"filename":{"type":"string","description":"hashed filename of the file"},"dimensions":{"type":"array"},"image_type":{"type":"string"},"type":{"type":"string","enum":["misc","icon","detail"]}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(12,'/component/image/detail','{"id":"/component/image/detail","description":"","properties":{"filename":{"type":"string","description":"hashed filename of the file"},"dimensions":{"type":"array"},"image_type":{"type":"string"}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(13,'/component/geo_location','{"id":"/component/geo_location","description":"A geographical coordinate","properties":{"lat":{"type":"number","description":"latitude"},"lon":{"type":"number","description":"longitude"},"accuracy":{"type":"number"},"radius":{"type":"number"}}}',0,0,NULL,NULL,NULL,NULL);
INSERT INTO "tbl_component_def" VALUES(14,'/component/geo_fence','{"id":"/component/geo_fence","description":"describes a geofence","properties":{"on_enter":{"type":"string","format":"url","description":"url that the app launches on entry"},"on_exit":{"type":"string","format":"url","description":"url that the app launches on exit"}}}',0,0,NULL,NULL,NULL,NULL);
CREATE TABLE tbl_component_status( id INTEGER PRIMARY KEY, entity_id INTEGER, status INTEGER, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
INSERT INTO "tbl_component_status" VALUES(1,1,0,'{}',0,'2013-10-21T20:49:32.242Z',0,'2013-10-21T20:49:32.242Z',0);
CREATE TABLE tbl_component_password( id INTEGER PRIMARY KEY, entity_id INTEGER, password STRING, iterations INTEGER, salt STRING, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
INSERT INTO "tbl_component_password" VALUES(1,1,'3rZeUOPk4Z/xWhbtEwuas8yY0kqj1In1alh2AobkNy822KKdaiHd61ZG2tvZRdI9QRopMchLyQrcbvE4znyqP8WDQqxU9Usx0zNdCGOHXWaoTXHuF667bsmE03QK9oJgAjLe/SJXDTpFBGIxJq+fgN4PVZJW9W/FkaC/7t+qrbw=',500,'uqzOFkiG320TXHpLGOPlYDVyYqHZk+yjjGxaLzWN2bzCXyc0UcGF+k4/rhhZkS8yL2RrggPz703KBi2+U9kz/xp9b2YIFFFTtPPXxADV1kAxJnySuKxhg/+YhrLv1jAiob2Ka7fG4DpNlB0RVr/u4D9Y1qb1unmMRE6Y1pYkDV8=','{"password_plain":"now2now"}',0,'2013-10-21T20:49:32.252Z',0,'2013-10-21T20:49:32.252Z',0);
CREATE TABLE tbl_component_email( id INTEGER PRIMARY KEY, entity_id INTEGER, email STRING, verified_at DATETIME DEFAULT CURRENT_TIMESTAMP, type STRING, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
INSERT INTO "tbl_component_email" VALUES(1,1,'admin@now2now.com','2013-10-06T11:36:16.858Z',NULL,'{}',0,'2013-10-21T20:49:32.209Z',0,'2013-10-21T20:49:32.209Z',0);
CREATE TABLE tbl_component_human_name( id INTEGER PRIMARY KEY, entity_id INTEGER, first_name STRING, last_name STRING, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
INSERT INTO "tbl_component_human_name" VALUES(1,1,'Administrator','Administrator','{}',0,'2013-10-21T20:49:32.278Z',0,'2013-10-21T20:49:32.279Z',0);
CREATE TABLE tbl_component_content_set( id INTEGER PRIMARY KEY, entity_id INTEGER, uuid STRING, name STRING, type STRING, code STRING, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
CREATE TABLE tbl_component_content_set_member( id INTEGER PRIMARY KEY, entity_id INTEGER, content_set_id INTEGER, content_set_code STRING, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
CREATE TABLE tbl_component_poi( id INTEGER PRIMARY KEY, entity_id INTEGER, text STRING, address STRING, postcode STRING, title STRING, text_short STRING, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
CREATE TABLE tbl_component_feed( id INTEGER PRIMARY KEY, entity_id INTEGER, url STRING, last_updated DATETIME DEFAULT CURRENT_TIMESTAMP, description STRING, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
CREATE TABLE tbl_component_content( id INTEGER PRIMARY KEY, entity_id INTEGER, data STRING, type STRING, path STRING, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
CREATE TABLE tbl_component_package( id INTEGER PRIMARY KEY, entity_id INTEGER, package_id STRING, type STRING, version STRING, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
CREATE TABLE tbl_component_image( id INTEGER PRIMARY KEY, entity_id INTEGER, filename STRING, image_type STRING, type STRING, dimensions, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
CREATE TABLE tbl_component_image_detail( id INTEGER PRIMARY KEY, entity_id INTEGER, filename STRING, image_type STRING, dimensions, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
CREATE TABLE tbl_component_geo_location( id INTEGER PRIMARY KEY, entity_id INTEGER, lat, accuracy, radius, lon, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
CREATE TABLE tbl_component_geo_fence( id INTEGER PRIMARY KEY, entity_id INTEGER, on_enter STRING, on_exit STRING, _additional STRING, _status INTEGER, _created_at DATETIME DEFAULT CURRENT_TIMESTAMP, _created_by INTEGER, _updated_at DATETIME DEFAULT CURRENT_TIMESTAMP, _updated_by INTEGER);
COMMIT;
